﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<!-- xslt for la Zanichelli -->
	<!-- using us-ascii encoding because special characters like &#49; would be replaced during transformation when using UTF-8 -->
	<xsl:output method="html" encoding="us-ascii" doctype-public="-//W3C//DTDXHTML 1.0 Transitional//EN" doctype-system="https://www.w3.org/TR/html4/strict.dtd" />
	
    <!-- string parameters -->	
    <xsl:param name="view.details.headimage"/>		
	<xsl:param name="view.details.base"/>
	<xsl:param name="view.details.id"/>
	<xsl:param name="view.details.section"/>
	<xsl:param name="tooltip-xml"/>
			
	<xsl:template match="ENTRY">
	
	<table border="0" cellpadding="0" cellspacing="0" width="100%" style="height:100%; border:0">
		<tr>
			<td class="Fascia" valign="top" align="center">ENCICLOPEDIA dell'ARTE Zanichelli</td>
		</tr>
				<xsl:if test="string-length(@TabNumber) &gt; 0">
					<tr><td class="Tasti"><xsl:apply-templates select="TABS" /><br/><br/><hr class="Linea"></hr></td></tr>
				</xsl:if>
				<tr><td valign="top" height="100%">
					<div class="Entry">
						<xsl:apply-templates select="HEAD" />
						<xsl:apply-templates select="BODY" />
					</div>
				</td></tr>
	</table>
	</xsl:template>

	<xsl:template match="HEAD">
		<xsl:apply-templates />	
	</xsl:template>

	<xsl:template match="Xref">
			<xsl:variable name="link"><xsl:value-of select="@Link"/></xsl:variable>
				<a class="Xref" href="javascript:detail('{$link}')"><xsl:apply-templates /></a>
	</xsl:template>

	<xsl:template match="SubRef">
			<xsl:variable name="link"><xsl:value-of select="@Link"/></xsl:variable>
				<a class="SubRef" href="javascript:detail('{$link}')"><xsl:apply-templates /></a>
	</xsl:template>

	<xsl:template match="Button">
		<xsl:variable name="link"><xsl:value-of select="@Link"/></xsl:variable>
		<xsl:variable name="tooltip"><xsl:value-of select="@Text"/></xsl:variable>
		<xsl:if test="string(@Type) = 'zfoto'">
		<xsl:choose>
			<xsl:when test="contains(string(@Link),'Anteprime')">
				<xsl:text>
					<script language="JavaScript">
					function WinOpen(theURL) { newWin = open(""+theURL+"","DisplayWindow","resizable=yes,scrollbars=yes,toolbar=no,width=640,height=600,left=300,top=100"); newWin.focus() }
					</script>
				</xsl:text>
					<a class="TabB" onClick="WinOpen('ezarte/external/Html/{$link}.html'); return false;" href="#" target="_self">Immagini</a>
			</xsl:when>		
			<xsl:when test="contains(string(@Link),'Foto')">
				<xsl:text>
					<script language="JavaScript">
					function WinOpen(theURL) { newWin = open(""+theURL+"","DisplayWindow","resizable=yes,scrollbars=yes,toolbar=no,width=500,height=500,left=400,top=150"); newWin.focus() }
					</script>
				</xsl:text>
					<a class="TabB" onClick="WinOpen('ezarte/external/Html/{$link}.html'); return false;" href="#" target="_self">Immagini</a>
			</xsl:when>
		</xsl:choose>		
		</xsl:if>
		<xsl:if test="string(@Type) = 'zweb'">
<!--   ignore
			<a target="_blank" class="TabB" href="https://www.edigeo.it/cgi-local/ezarte/trovarte?{$link}">web</a>
-->
		</xsl:if>
	</xsl:template>

	<xsl:template match="BODY">
		<xsl:apply-templates />	
	</xsl:template>

	<!-- paragraph tags  -->
	<xsl:template match="Part">
		<div class="Part">
			<xsl:apply-templates />
		</div>
	</xsl:template>

	<xsl:template match="SubPart">
		<P class="Txt">
			<xsl:apply-templates />
		</P>
	</xsl:template>

	<!-- Character replacments -->
	<xsl:template match="HwFuzzy">
		<!-- ignore -->
	</xsl:template>
	<xsl:template match="dum">
		<!-- ignore -->
	</xsl:template>
	<xsl:template match="Hword">
		<span class="Hword"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="HwordRim">
		<span class="Hword"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Alias">
		<span class="Alias"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="AliasHid">
		<!-- ignore -->
	</xsl:template>
	<xsl:template match="CatHid">
		<!-- ignore -->
	</xsl:template>	
	<xsl:template match="Omo">
		<sup><xsl:apply-templates /></sup>
	</xsl:template>
	<xsl:template match="Para">
			<P class="Para"><xsl:apply-templates /></P>
	</xsl:template>
	<xsl:template match="Para2">
			<span class="Para2"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="SubSub">
		<span class="SubSub"><xsl:apply-templates /></span>
	</xsl:template>

	<xsl:template match="HL">
 
		<xsl:variable name="hlidx1"><xsl:value-of select="attribute::index"/></xsl:variable>
		<xsl:variable name="nodeName" select="name()"></xsl:variable>
		<xsl:variable name="hlidx2"><xsl:value-of select="count(preceding::node()[name() = $nodeName]) + 1"/></xsl:variable>
<!--		<a id="hl_{$hlidx1}_{$hlidx2}_{$view.details.id}" class="ancor"></a>
		<span class="HL"><xsl:apply-templates /></span>
-->
		<span class="HL"><xsl:apply-templates /></span><a id="hl_{$hlidx1}_{$hlidx2}_{$view.details.id}" class="ancor"></a>
	</xsl:template>
	<xsl:template match="TT">
		<span class="tt"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="sup">
		<sup><xsl:apply-templates /></sup>
	</xsl:template>	
	<xsl:template match="sub">
		<sub><xsl:apply-templates /></sub>
	</xsl:template>	
	<xsl:template match="b">
		<b><xsl:apply-templates /></b>
	</xsl:template>	
	<xsl:template match="i">
		<i><xsl:apply-templates /></i>
	</xsl:template>	

</xsl:stylesheet>
